## GstGLColorConvert GstGLColorConvert — an object that converts between color spaces/formats |

## Functions

GstGLColorConvert * | gst_gl_color_convert_new ()
void | gst_gl_color_convert_set_format ()
GstBuffer * | gst_gl_color_convert_perform ()

## Types and Values

#define | GST_GL_COLOR_CONVERT_FORMATS
#define | GST_GL_COLOR_CONVERT_VIDEO_CAPS
| GstGLColorConvert
| GstGLColorConvertClass

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GstObject
                ╰── GstGLColorConvert

## Description

GstGLColorConvert is an object that converts between color spaces and/or formats using OpenGL Shaders.

A GstGLColorConvert can be created with `gst_gl_color_convert_new()`.

For handling stride scaling in the shader, see `gst_gl_color_convert_set_texture_scaling()`.

## Functions

### gst_gl_color_convert_new ()

    GstGLColorConvert *
    gst_gl_color_convert_new (GstGLContext *context);

#### Parameters

context | a GstGLContext |

#### Returns

a new GstGLColorConvert object

### gst_gl_color_convert_set_format ()

    void
    gst_gl_color_convert_set_format (GstGLColorConvert *convert,
                                     GstVideoInfo *in_info,
                                     GstVideoInfo *out_info);

Initializes `convert` with the information required for conversion.

#### Parameters

convert | a GstGLColorConvert |
in_info | input GstVideoInfo |
out_info | output GstVideoInfo |

### gst_gl_color_convert_perform ()

    GstBuffer *
    gst_gl_color_convert_perform (GstGLColorConvert *convert,
                                  GstBuffer *inbuf);

Converts the data contained by `inbuf` using the formats specified by the GstVideoInfos passed to `gst_gl_color_convert_set_format()`

#### Parameters

convert | a GstGLColorConvert |
inbuf | the texture ids for input formatted according to in_info |

#### Returns

a converted GstBuffer or `NULL`%

## Types and Values

### GST_GL_COLOR_CONVERT_FORMATS

    #define             GST_GL_COLOR_CONVERT_FORMATS

The currently supported formats that can be converted

### GST_GL_COLOR_CONVERT_VIDEO_CAPS

    #define GST_GL_COLOR_CONVERT_VIDEO_CAPS GST_VIDEO_CAPS_MAKE (GST_GL_COLOR_CONVERT_FORMATS)

The currently supported GstCaps that can be converted

### GstGLColorConvert

    typedef struct _GstGLColorConvert GstGLColorConvert;

Opaque GstGLColorConvert object

### GstGLColorConvertClass

    typedef struct {
      GstObjectClass object_class;
    } GstGLColorConvertClass;

The GstGLColorConvertClass struct only contains private data

## See Also

GstGLUpload, GstGLDownload, GstGLMemory